Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API del consumidor

Register consumer

put
/issuers/{issuerId}/consumers/{consumerId}

This request is used by the bank backend to request the registration of the end user with personal information.

Note

It is strongly recommended to provide the end user personal information such as first and last name, email, phone number, postal address. Personal information is used in Card Tokenization by the Decision Engine or in Push Provisioning when building the card information to push to OEM Wallet.

Note

Some end user personal information are mandatory for issuers using Click to Pay service. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay". Even if mandatory for Click to Pay, if they are not present in this API, the consumer registration will be processed as usual, and only the Click to Pay operation might be impacted. Click to Pay operation status will be sent in an asynchronous wait via notification.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOpcional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Cuerpo

The following object represent the end user (consumer).

Respuestas
204

Successful consumer registration.

Sin contenido

put/issuers/{issuerId}/consumers/{consumerId}
PUT /banking/v2/issuers/{issuerId}/consumers/{consumerId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 560

{
  "personalInformation": {
    "gender": "MALE",
    "language": "eng",
    "firstName": "John",
    "middleName": "John",
    "lastName": "Doe",
    "secondLastName": "Doe",
    "dateOfBirth": "1990-01-01",
    "title": "Mr.",
    "nationality": "FR",
    "email": "john.doe@dummymail.com",
    "mobilePhoneNumber": {
      "countryCode": "+420",
      "phoneNumber": "777222333"
    },
    "residencyAddress": {
      "recipientName": "Mr The Concierge",
      "line1": "Address line",
      "line2": "Address line",
      "line3": "Address line",
      "line4": "Address line",
      "city": "Prague",
      "state": "21",
      "zipCode": "140 00",
      "countryCode": "CZ"
    }
  },
  "preferences": {
    "notificationChannel": [
      "SMS"
    ]
  }
}

Sin contenido

Delete

post
/issuers/{issuerId}/consumers/{consumerId}/operations:delete

This request is used by the bank backend to request the deletion of an end user. It will also in cascade delete all the accounts, cards and digital cards owned by the end user. Note: The deletion of the end user cannot be reverted. If the same end user is willing to reuse the solution, we will require a new end user registration with a new consumerId.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOpcional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Cuerpo
reasonstringOpcional

The reason why the action is performed.

This a free text field in case the bank wants to send details, that will be returned in the operations list.

Example: customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$
Respuestas
200

End user was deleted Successfully

application/json
operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post/issuers/{issuerId}/consumers/{consumerId}/operations:delete
POST /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations:delete HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "reason": "customer was contacted on June 28"
}
{
  "operationId": "text"
}

Update consumer information

post
/issuers/{issuerId}/consumers/{consumerId}/operations:update

This request is used by the bank backend to request the update of the consumer information.

Note

Some end user personal information are mandatory for issuers using Click to Pay service. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay". Even if mandatory for Click to Pay, if they are not present in this API, the consumer update will be processed as usual, and only the Click to Pay operation might be impacted. Click to Pay operation status will be sent in an asynchronous wait via notification.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOpcional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Cuerpo

The following object represent the information of the consumer or cardholder.

Respuestas
200

Consumer successfully updated.

application/json
operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post/issuers/{issuerId}/consumers/{consumerId}/operations:update
POST /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations:update HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 558

{
  "personalInformation": {
    "gender": "MALE",
    "language": "eng",
    "firstName": "John",
    "middleName": "John",
    "lastName": "Doe",
    "secondLastName": "Doe",
    "dateOfBirth": "1990-01-01",
    "title": "Mr.",
    "nationality": "FR",
    "email": "john.doe@dummymail.com",
    "mobilePhoneNumber": {
      "countryCode": "+420",
      "phoneNumber": "777222333"
    },
    "residencyAddress": {
      "recipientName": "Mr The Concierge",
      "line1": "Address line",
      "line2": "Address line",
      "line3": "Address line",
      "line4": "Address line",
      "city": "Prague",
      "state": 21,
      "zipCode": "140 00",
      "countryCode": "CZ"
    }
  },
  "preferences": {
    "notificationChannel": [
      "SMS"
    ]
  }
}
{
  "operationId": "text"
}

Get Card List

get
/issuers/{issuerId}/consumers/{consumerId}/cards

This request is used to request the end user card list. It will return the cards & digital cards and associated accounts.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOpcional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Respuestas
200

Successful get end user card list

application/json
get/issuers/{issuerId}/consumers/{consumerId}/cards
GET /banking/v2/issuers/{issuerId}/consumers/{consumerId}/cards HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Get all operations

get
/issuers/{issuerId}/consumers/{consumerId}/operations

This request is used by the issuer backend to retrieve the operations details of an end user (consumer).

If no operations are available for the given consumerId, an empty list is returned.

Operations that are older than 3 months will be removed.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de consulta
offsetintegerOpcional

Index from which the query starts returning operations (default value: 0)

limitinteger · mín: 1 · máx: 50Opcional

Upper limit of the query

Default: 10
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

List of operations associated to the consumerId.

application/json
remainingOperationsintegerOpcional
get/issuers/{issuerId}/consumers/{consumerId}/operations
GET /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "operations": [
    {
      "operationId": "text",
      "operation": "CLICK_TO_PAY_OPTOUT",
      "status": "SUCCESSFUL",
      "startTime": "2022-06-16T06:28:02.492Z",
      "endTime": "2022-06-16T06:28:32.492Z",
      "requestorType": "ISSUER",
      "requestorId": "text",
      "reason": "customer was contacted on June 28",
      "reasonCode": "USER_DECISION",
      "details": {
        "appInstanceId": "text"
      },
      "errorCode": "text",
      "error": "text"
    }
  ],
  "remainingOperations": 1
}

Get operation

get
/issuers/{issuerId}/consumers/{consumerId}/operations/{operationId}

This request is used by the issuer backend to retrieve the information related to an operation on the given end user (consumer).

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

consumerIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

The consumer operation.

application/json

Operation details related to a specific operationId

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enumRequerido

The operation type.

Valores posibles:
statusstring · enumRequerido

Status of the operation

Valores posibles:
startTimestring · mín: 1 · máx: 64Requerido

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

Example: 2022-06-16T06:28:02.492Z
endTimestring · mín: 1 · máx: 64Opcional

The time the operation has been completed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD note: This is an optional field and might not be returned for synchronous operations.

Example: 2022-06-16T06:28:32.492Z
requestorTypestring · enumRequeridoValores posibles:
requestorIdstringRequerido

Identifier of the principal who initiates the operation

  • consumerId if requestorType is USER
  • issuerId if requestorType is ISSUER
  • cci user id if requestorType is CCI
reasonstringOpcional

The reason why the action is performed.

This a free text field in case the bank wants to send details, that will be returned in the operations list.

Example: customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcionalValores posibles:
detailsone ofOpcional
errorCodestringOpcional

External error code

errorstring · máx: 256Opcional

Human readable string representing the error, only present in case of operation failure

Pattern: /^[a-zA-Z0-9_ \/\\\[\],.'#;:{}()?!*-]*$/
get/issuers/{issuerId}/consumers/{consumerId}/operations/{operationId}
GET /banking/v2/issuers/{issuerId}/consumers/{consumerId}/operations/{operationId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Última actualización

¿Te fue útil?